
Foreman - Bug #3855

ruby-libvirt 0.5.0 fails to build on Ruby 1.8.7

12/11/2013 02:38 PM - Dominic Cleal

Status: Closed   

Priority: Immediate   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.3.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

gcc -I. -I. -I/usr/local/rvm/rubies/ruby-1.8.7-p371/lib/ruby/1.8/x86_64-linux -I. -DRUBY_EXTCONF_H

=\"extconf.h\"    -fPIC -g -O2  -fPIC     -c domain.c

domain.c:25:21: error: ruby/st.h: No such file or directory

make: *** [domain.o] Error 1

Gem files will remain installed in /usr/local/rvm/gems/ruby-1.8.7-p371@test_develop_pull_request-1

/gems/ruby-libvirt-0.5.0 for inspection.

Results logged to /usr/local/rvm/gems/ruby-1.8.7-p371@test_develop_pull_request-1/gems/ruby-libvir

t-0.5.0/ext/libvirt/gem_make.out

An error occurred while installing ruby-libvirt (0.5.0), and Bundler cannot

continue.

Make sure that `gem install ruby-libvirt -v '0.5.0'` succeeds before bundling.

 See https://www.redhat.com/archives/libvir-list/2013-December/msg00593.html for more info, a 0.5.1 release is coming.

Associated revisions

Revision c6d51319 - 12/11/2013 04:25 PM - Dominic Cleal

fixes #3855 - pin ruby-libvirt to 0.4 for Ruby 1.8 workaround

Revision b63a07a9 - 12/13/2013 05:59 PM - Dominic Cleal

fixes #3855 - pin ruby-libvirt to 0.4 for Ruby 1.8 workaround

(cherry picked from commit c6d5131967fdb5ada9956fb9e83079db10ab1c29)

History

#1 - 12/11/2013 02:48 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1085

#2 - 12/11/2013 06:31 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c6d5131967fdb5ada9956fb9e83079db10ab1c29.
